1

In our managed package we've started using Salesforce Files, we now create content version records.

When building the package now under Package Requirements its showing Content as a requirement that can't be unchecked. Chatter is also an optional requirement. My question is, are there any orgs that don't have Content that may not be able to install/upgrade?

1 Answer 1

4

It appears that Content is available in all editions. However, it may not be enabled in some orgs. Therefore, your "pre-installation instructions" will need to include the need to go to Setup and enable this feature. Your package will not be able to install until this feature is enabled.

3
  • Thanks for the quick reply. That seems like something I'd like to avoid if possible. Is this always a package requirement when using salesforce files (creating content versions)? I'm curious if some code tweaking could get around this requirement.
    – Phil B
    Feb 8, 2017 at 19:57
  • 1
    @PhilB If you use only dynamic queries, Type.forName, and SObject generics for manipulating the records, you could get around it being a forced requirement. It requires quite a bit more than I can fit in a comment, but you might want to post the code in question so we can give you a full answer. Specifically avoiding metadata requirements is generally possible, but does require a bit of work.
    – sfdcfox
    Feb 8, 2017 at 20:05
  • I tested this out with a test version of our package by rebuilding the package with 'content' checked. I then installed in a test org with the 'Enable Salesforce CRM Content' unchecked and got no warning or error. So it seems like we might be good, or at least this Salesforce CRM Content being disabled isn't the blocking scenario.
    – Phil B
    Feb 9, 2017 at 16:13

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .